package com.inspect.metadata.alg.service;

import com.inspect.metadata.alg.domain.BasedataAlgSubtype;

import java.util.List;

public interface IBasedataAlgSubtypeService {
    BasedataAlgSubtype selectBasedataAlgSubtypeByAlgSubtypeId(Long subtypeId);

    List<BasedataAlgSubtype> selectBasedataAlgSubtypeList(BasedataAlgSubtype subtype);

    int insertBasedataAlgSubtype(BasedataAlgSubtype subtype);

    int updateBasedataAlgSubtype(BasedataAlgSubtype subtype);

    int deleteBasedataAlgSubtypeByAlgSubtypeIds(Long[] subtypeIds);

    int deleteBasedataAlgSubtypeByAlgSubtypeId(Long subtypeId);

    int checkAlgSubtypeNameIsExit(String param, String param2, String param3);
}
